CVE-2018-6789

CVE: CVE-2018-6789
Published: 2018-02-08T23:29Z
Description Language: en
Description: An issue was discovered in the base64d function in the SMTP listener in Exim before 4.90.1. By sending a handcrafted message, a buffer overflow may happen. This can be used to execute code remotely.
References:
http://openwall.com/lists/oss-security/2018/02/10/2
http://www.openwall.com/lists/oss-security/2018/02/07/2
http://www.securityfocus.com/bid/103049
https://devco.re/blog/2018/03/06/exim-off-by-one-RCE-exploiting-CVE-2018-6789-en/
https://exim.org/static/doc/security/CVE-2018-6789.txt
https://git.exim.org/exim.git/commit/cf3cd306062a08969c41a1cdd32c6855f1abecf1
https://lists.debian.org/debian-lts-announce/2018/02/msg00009.html
https://www.debian.org/security/2018/dsa-4110